> For the complete documentation index, see [llms.txt](https://docs.talus.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.talus.network/talus-docs-v2.1.0/reference/move/nexus_scheduler/invocation_adapter.md).

# nexus\_scheduler::invocation\_adapter

* [Function `lock_and_request`](#function-lock_and_request)
* [Function `settle`](#function-settle)
* [Function `abort_expired`](#function-abort_expired)

### Function `lock_and_request`

Locks one Invocation and requests its Tool work through the current runtime.

```move
public fun lock_and_request(authority: &nexus_kernel::runtime_authority::RuntimeAuthority, dag: &nexus_interface::dag::DAG, execution: &mut nexus_workflow::execution::DAGExecution, leader_registry: &nexus_registry::leader::LeaderRegistry, leader_cap: &nexus_primitives::owner_cap::CloneableOwnerCap<nexus_registry::leader_cap::OverNetwork>, walk_index: u64, vertex: nexus_interface::graph::RuntimeVertex, authorized: nexus_tool::invocation::Invocation, submission_gas_charge: u64, clock: &sui::clock::Clock, ctx: &mut sui::tx_context::TxContext)
```

#### Function `settle`

Applies one pending Invocation outcome through the current runtime.

```move
public fun settle(authority: &nexus_kernel::runtime_authority::RuntimeAuthority, dag: &nexus_interface::dag::DAG, execution: &mut nexus_workflow::execution::DAGExecution, vertex: nexus_interface::graph::RuntimeVertex, receiving: sui::transfer::Receiving<nexus_tool::invocation::Invocation>)
```

#### Function `abort_expired`

Refunds one expired Invocation through the current runtime.

```move
public fun abort_expired(authority: &nexus_kernel::runtime_authority::RuntimeAuthority, dag: &nexus_interface::dag::DAG, execution: &mut nexus_workflow::execution::DAGExecution, vertex: nexus_interface::graph::RuntimeVertex, receiving: sui::transfer::Receiving<nexus_tool::invocation::Invocation>, clock: &sui::clock::Clock, ctx: &mut sui::tx_context::TxContext)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.talus.network/talus-docs-v2.1.0/reference/move/nexus_scheduler/invocation_adapter.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
